/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_CRATERS_H
#define _TF_DIALOG_CRATERS_H


#include "TFPreviewDialog.h"				// include gtk, gtk--



/*
 *  TFDialogCraters: display the roughen dialog for terraformer
 */
class TFDialogCraters : public TFPreviewDialog  
	{
	public: 
					TFDialogCraters (HeightField *HF, HeightFieldDraw *HFD);
					~TFDialogCraters (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();
		void		seedCheckboxCallback ();
		void		checkboxCallbackPreview ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();
		void		adjNumCratersCallback ();
		int			daButtonPressedCallback (GdkEventButton *event);

		Gtk_VBox		d_vbList;
		Gtk_HBox		d_hbCX, d_hbCY, d_hbNumCraters,
						d_hbRadius, d_hbHeight, 
						d_hbCraterCoverage, d_hbWrap, 
						d_hbGenSeed, d_hbSeed;
		Gtk_CheckButton	d_btnWrap,
						d_btnGenSeed;
		Gtk_Entry		d_enSeed;
		Gtk_Frame		d_optionsFrame;
		Gtk_HSeparator	d_hSep, 
						d_hSepSeed;
		int				d_lastPreviewSeed;
		char			*d_seedInitStr;
		Gtk_Adjustment	*d_adjCX, *d_adjCY, *d_adjNumCraters,
						*d_adjRadius, *d_adjHeight, *d_adjCraterCoverage; 
		Gtk_HScale		*d_hsCX, *d_hsCY, *d_hsNumCraters,
						*d_hsRadius, *d_hsHeight, *d_hsCraterCoverage; 
		Gtk_Label		*d_lblCX, *d_lblCY, *d_lblNumCraters,
						*d_lblRadius, *d_lblHeight, 
						*d_lblCraterCoverage, *d_lblWrap, 
						*d_lblGenSeed, *d_lblSeed;
	};


#endif // _TF_DIALOG_CRATERS_H
